petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecAssemblyEnd

Completes assembling the vector. This routine should be called after VecAssemblyBegin().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAssemblyEnd(Vec vec)

Collective on Vec Many br

### Input Parameter

vec -the vector Many br

### Options Database Keys

| -vec_view | - Prints vector in ASCII format Many br
| -vec_view ::ascii_matlab | - Prints vector in ASCII MATLAB format to stdout Many br
| -vec_view matlab:filename | - Prints vector in MATLAB format to matlaboutput.mat Many br
| -vec_view draw | - Activates vector viewing using drawing tools Many br
| -display <name> | - Sets display name (default is host) Many br
| -draw_pause <sec> | - Sets number of seconds to pause after display Many br
| -vec_view socket | - Activates vector viewing using a socket Many br

Many br

### See Also

VecAssemblyBegin(), VecSetValues()

Level:beginner
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex8.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex15.c.html
src/vec/vec/examples/tutorials/ex18.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/vec/vec/examples/tutorials/ex2f.F.html
src/vec/vec/examples/tutorials/ex3f.F.html